import { WebSocketClient } from './../WebSocketClient';
import { MsgBase, GroupOption } from '../protocol/MsgBase';
export declare class WsApi extends WebSocketClient {
    token: string;
    from: string;
    sendMsg(msg: Partial<MsgBase>): Promise<any>;
    sendGetCmdMsg(action: string, extra?: {}): Promise<any>;
    sendPostCmdMsg(action: string, userIds: string[] | null, extra?: {}): Promise<any>;
    getRoster(): Promise<any>;
    addFriends(userIds: string[]): Promise<any>;
    agreeFriends(userIds: string[]): Promise<any>;
    rejectFriends(userIds: string[]): Promise<any>;
    removeFriends(userIds: string[]): Promise<any>;
    getBlacklist(): Promise<any>;
    addToBlackList(userIds: string[]): Promise<any>;
    removeBlackList(userIds: string[]): Promise<any>;
    deleteConversation(contactId: string, deleteMessage?: boolean): Promise<any>;
    markMessageRead(contactId: string, chatType: string): Promise<any>;
    listGroups(): Promise<any>;
    queryGroupInfo(roomId: string): Promise<any>;
    queryRoomMember(roomId: string): Promise<any>;
    getGroupBlackList(roomId: string): Promise<any>;
    createGroup(groupOption: GroupOption): Promise<any>;
    changeGroupInfo(groupOption: GroupOption): Promise<any>;
    addGroupMembers(roomId: string, userIds: string[]): Promise<any>;
    addToGroupBlackList(roomId: string, userIds: string[]): Promise<any>;
    destroyGroup(roomId: string): Promise<any>;
    leaveGroup(roomId: string): Promise<any>;
    createRoom(groupOption: GroupOption): Promise<any>;
    listRooms(): Promise<any>;
    joinRoom(roomId: string): Promise<any>;
    quitRoom(roomId: string): Promise<any>;
}
